using System.Runtime.InteropServices;

namespace Decal.Interop.Controls;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class ICheckboxEvents_SinkHelper : ICheckboxEvents
{
	public ICheckboxEvents_DestroyEventHandler m_DestroyDelegate;

	public ICheckboxEvents_ChangeEventHandler m_ChangeDelegate;

	public int m_dwCookie;

	public void Destroy(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_DestroyDelegate != null)
		{
			m_DestroyDelegate(P_0);
		}
	}

	public void Change(int P_0, bool P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ChangeDelegate != null)
		{
			m_ChangeDelegate(P_0, P_1);
		}
	}

	internal ICheckboxEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_DestroyDelegate = null;
		m_ChangeDelegate = null;
	}
}
